Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GlassHead.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GlassHead.material	(revision 1445)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GlassHead.material	(revision 1487)
@@ -38,5 +38,5 @@
 		cull_software none
 		lighting off
-		scene_blend add
+		//scene_blend add
 		scene_blend src_alpha one
 		depth_write off
@@ -49,5 +49,6 @@
 		    param_named_auto Proj projection_matrix
 		    param_named_auto resolution viewport_width
-		    param_named CauSpriteSize float 10.0	    
+		    //param_named CauSpriteSize float 10.0	    
+		    param_named CauSpriteSize float 70.0	    
 	        } 
 		fragment_program_ref  GameTools/CauPS
@@ -94,5 +95,5 @@
 		cull_software none
 		lighting off
-		scene_blend add
+		//scene_blend add
 		scene_blend src_alpha one
 		depth_write off
@@ -111,6 +112,5 @@
 	    texture_unit
 		{
-			vertex_texture true
-			texture flare.png
+			vertex_texture true			
 		}
        }
@@ -131,15 +131,17 @@
 			RenderTechnique ColorCubeMap
 			{
-				update_interval		0
+				update_interval		5
 				distance_calc true 3.5					
 			}
 			RenderTechnique DistanceCubeMap
 			{
-				update_interval		0
+				update_interval		5
 				distance_calc true 3.5						
 			}
 			RenderTechnique CausticCaster
 			{
-				attenuation	0	
+				attenuation	0
+				photonmap_resolution 32
+				caustic_cubemap_resolution 512	
 				caustic_map_material		GameTools/CauTri
 				use_triangles	true				
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_CauCube.hlsl
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_CauCube.hlsl	(revision 1355)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_CauCube.hlsl	(revision 1487)
@@ -16,5 +16,5 @@
      
   float4 cPosition;
-  float pixel = 1.0 / resolution;   
+  float pixel = 1.0 / 32.0;   
   float2 uv = float2(position.x, 1.0 - position.y);
   float4 pos = tex2Dlod(PhotonHitMap, float4(uv,0,0)).rgba;
@@ -23,5 +23,5 @@
    {
 		OUT.color = float4(0,0,0,0);		
-		OUT.hPosition = float4(0, 0, 100000000, 1);
+		OUT.hPosition = float4(0, 0, 1000000, 1);
    }
    else
@@ -31,44 +31,50 @@
 		OUT.hPosition = mul(Proj, cPosition);
 		
-		float intensity = 0.5;
+		float intensity = 0.25;
 		
 		//read four neighbours
-		float valids = 0;
 		float sumdist = 0;
 		float dist;
-		float4 pos1 = tex2Dlod(PhotonHitMap, float4(uv + float2(pixel, pixel),0,0)).rgba;
+		float valids = 0;
+		float4 pos1 = tex2Dlod(PhotonHitMap, float4(uv + float2(pixel, pixel),0,0));
 		if(pos1.a != 0)
 		{
 			dist = length(pos1.xyz - pos.xyz);
+			sumdist += dist;
 			valids++;
-			sumdist += dist;
 		}
-		float4 pos2 = tex2Dlod(PhotonHitMap, float4(uv + float2(-pixel, pixel),0,0)).rgba;
+		
+		float4 pos2 = tex2Dlod(PhotonHitMap, float4(uv + float2(-pixel, pixel),0,0));
 		if(pos2.a != 0)
 		{
 			dist = length(pos2.xyz - pos.xyz);
+			sumdist += dist;
 			valids++;
-			sumdist += dist;
 		}
-		float4 pos3 = tex2Dlod(PhotonHitMap, float4(uv + float2(pixel, -pixel),0,0)).rgba;
+		
+		float4 pos3 = tex2Dlod(PhotonHitMap, float4(uv + float2(pixel, -pixel),0,0));
 		if(pos3.a != 0)
 		{
 			dist = length(pos3.xyz - pos.xyz);
+			sumdist += dist;
 			valids++;
-			sumdist += dist;
 		}
-		float4 pos4 = tex2Dlod(PhotonHitMap, float4(uv + float2(-pixel, -pixel),0,0)).rgba;
+		
+		float4 pos4 = tex2Dlod(PhotonHitMap, float4(uv + float2(-pixel, -pixel),0,0));
 		if(pos4.a != 0)
 		{
 			dist = length(pos4.xyz - pos.xyz);
+			sumdist += dist;
 			valids++;
-			sumdist += dist;
 		}
-		
-		float avrdist = sumdist / valids;
-		float maxdist = 0.1;
+				
+		float avrdist = sumdist / 4;//valids;
+		float maxdist = 1;
 		intensity = max(maxdist - avrdist, 0.0) / maxdist;
 		
-		OUT.color = float4(1,1,1,intensity);
+		//intensity = valids / 4.0;//avrdist;
+		
+		//OUT.color = float4(1,1,1,intensity);
+		OUT.color = intensity;
 	}  
    
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_Localized_EnvMap.hlsl
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_Localized_EnvMap.hlsl	(revision 1094)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_Localized_EnvMap.hlsl	(revision 1487)
@@ -128,5 +128,5 @@
 	
 	float cos_theta = -dot(V, mNormal);
-	float sFresnel = 0.5;
+	float sFresnel = 0.1;
 	float F = (sFresnel + pow(1-cos_theta, 5.0f) * (1-sFresnel));
     
@@ -229,5 +229,5 @@
 	float3 V = normalize(wPos - cameraPos);
 		
-	float3 R = refract(V, mNormal, 0.9);		
+	float3 R = refract(V, mNormal, 0.85);		
 	//float3 R = V;	
 	newTexCoord = R;	
Index: GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsParticleDemo/include/GameToolsParticleDemo.h
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsParticleDemo/include/GameToolsParticleDemo.h	(revision 1442)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsParticleDemo/include/GameToolsParticleDemo.h	(revision 1487)
@@ -58,5 +58,5 @@
 
 public:
-	virtual void go(void)
+/*	virtual void go(void)
     {
         if (!setup())
@@ -67,10 +67,10 @@
         // clean up
         destroyScene();
-    }
+    }*/
 
 protected:
 	SceneNode* kupolaNode;
 	SceneNode* mainLightNode;
-		
+	/*	
 	void renderScene(){
 		
@@ -103,5 +103,5 @@
 			
 		}
-	}
+	}*/
 
 	void createPostproc()
@@ -200,7 +200,7 @@
 		mFrameListener= new ParticleDemoFrameListener(mWindow,
 											mCamera	);
-        mRoot->addFrameListener(mFrameListener);
-
-    }
+    mRoot->addFrameListener(mFrameListener);
+	mRoot->addFrameListener(&OgreIlluminationManager::getSingleton());
+   }
 
 };
Index: GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsRaytraceDemo/include/GameToolsRaytraceDemo.h
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsRaytraceDemo/include/GameToolsRaytraceDemo.h	(revision 1349)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsRaytraceDemo/include/GameToolsRaytraceDemo.h	(revision 1487)
@@ -145,5 +145,5 @@
 
 public:
-	virtual void go(void)
+/*	virtual void go(void)
     {
         if (!setup())
@@ -155,5 +155,5 @@
         destroyScene();
     }
-
+*/
 
 protected:
@@ -164,5 +164,5 @@
 	SceneNode* copperSphereNode;
 	SceneNode* aluSphereNode;
-
+/*
 void renderScene(){
 		
@@ -195,5 +195,5 @@
 			
 		}
-	}
+	}*/
 
 	void createPostproc()
@@ -342,5 +342,5 @@
 											aluSphereNode);
         mRoot->addFrameListener(mFrameListener);
-		//mRoot->addFrameListener(&OgreIlluminationManager::getSingleton());
+		mRoot->addFrameListener(&OgreIlluminationManager::getSingleton());
 
     }
Index: GTP/trunk/App/Demos/Illum/Ogre/src/CausticTest/include/CausticTest.h
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/CausticTest/include/CausticTest.h	(revision 1450)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/CausticTest/include/CausticTest.h	(revision 1487)
@@ -113,51 +113,8 @@
 
 public:
-	virtual void go(void)
-    {
-        if (!setup())
-            return;
-
-        renderScene();
-		
-        // clean up
-        destroyScene();
-    }
-
 
 protected:
 	SceneNode* mainLightNode;
 	SceneNode* sphereNode;
-
-void renderScene(){
-		
-		mWindow->resetStatistics();
-		while(true){		
-
-			
-			#if OGRE_PLATFORM == OGRE_PLATFORM_WIN32            
-			// Pump events on Win32
-    		MSG  msg;
-			while( PeekMessage( &msg, NULL, 0U, 0U, PM_REMOVE ) )
-			{
-				TranslateMessage( &msg );
-				DispatchMessage( &msg );
-			}
-			
-			#endif
-			
-			if(!mRoot->_fireFrameStarted()){
-				break;
-			}
-			unsigned long framenum = mRoot->getCurrentFrameNumber();
-			
-			OgreIlluminationManager::getSingleton().update(framenum, mWindow);
-			
-			//mRoot->renderOneFrame();
-			mRoot->_updateAllRenderTargets();
-
-			mRoot->_fireFrameEnded();	
-			
-		}
-	}
 
 	void createPostproc()
@@ -191,5 +148,5 @@
 		// Skybox
         mSceneMgr->setSkyBox(true, "Examples/MorningSkyBox");
-
+/*
 		SceneNode* rootNode = mSceneMgr->getRootSceneNode();
 
@@ -219,5 +176,5 @@
 
 		createPlane("ground", "TestPlane", Vector3(0,0,0), Vector2(500,500));
-	
+	*/
 		OgreIlluminationManager::getSingleton().initTechniques();
 		
@@ -253,7 +210,7 @@
 											sphereNode
 											);
-        mRoot->addFrameListener(mFrameListener);
-		//mRoot->addFrameListener(&OgreIlluminationManager::getSingleton());
-
+        mRoot->addFrameListener(&OgreIlluminationManager::getSingleton());
+		mRoot->addFrameListener(mFrameListener);
+	
     }
 
